Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp
Interface WSRPConsumer

All Superinterfaces:
  PortalEventListener, PortletInvoker, org.jboss.system.Service

All Known Implementing Classes:
  WSRPConsumerImpl

    public interface WSRPConsumer

extends PortletInvoker, org.jboss.system.Service, PortalEventListener

Since:
  2.4
Version:
  $Revision: 8782 $
Author:
  Boleslaw Dawidowicz, Chris Laprun

Method Summary
`void` | `activate()` Prepares this Consumer to be used: service is started, endpoints are ready.
`void` | `deactivate()` Removes this Consumer from service.
`java.lang.String` | `getProducerId()` Retrieves the identifier for the producer this consumer is associated with.
`ProducerInfo` | `getProducerInfo()`
`ProducerSessionInformation` | `getProducerSessionInformationFrom(javax.servlet.http.HttpSession session)` Retrieves the session information for the producer associated with this consumer.
`ProducerSessionInformation` | `getProducerSessionInformationFrom(PortletInvocation invocation)` Retrieves the session information for the producer associated with this consumer.
`boolean` | `isActive()`
`boolean` | `isRefreshNeeded()`
`RefreshResult` | `refresh(boolean forceRefresh)`
`void` | `refreshProducerInfo()`
`void` | `releaseSessions()` Releases all the sessions held by this Consumer
`void` | `setProducerInfo(ProducerInfo producerInfo)`

Methods inherited from interface org.jboss.portal.portlet.PortletInvoker
`createClone, destroyClones, getPortlet, getPortlets, getProperties, getProperties, invoke, setProperties`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Methods inherited from interface org.jboss.portal.api.event.PortalEventListener
`onEvent`

Method Detail

### getProducerId

    java.lang.String getProducerId()

  Retrieves the identifier for the producer this consumer is associated with.

  Returns:
    the identifier of the associated producer

### getProducerSessionInformationFrom

    ProducerSessionInformation getProducerSessionInformationFrom(PortletInvocation invocation)

  Retrieves the session information for the producer associated with this consumer.

  Parameters:
    `invocation` - a portlet invocation from which the session information should be extracted.
  Returns:
    the session information for the producer associated with this consumer.
  See Also:
    `ProducerSessionInformation`

### getProducerSessionInformationFrom

    ProducerSessionInformation getProducerSessionInformationFrom(javax.servlet.http.HttpSession session)

  Retrieves the session information for the producer associated with this consumer.

  Parameters:
    `session` - the session from the information should be extracted.
  Returns:
    the session information for the producer associated with this consumer.
  See Also:
    `ProducerSessionInformation`

### getProducerInfo

    ProducerInfo getProducerInfo()

  Returns:
  Since:
    2.6

### setProducerInfo

    void setProducerInfo(ProducerInfo producerInfo)

  Parameters:
    `producerInfo` -
  Since:
    2.6

### refreshProducerInfo

    void refreshProducerInfo()
                             throws PortletInvokerException

  Throws:
    `PortletInvokerException`
  Since:
    2.6

### releaseSessions

    void releaseSessions()
                         throws PortletInvokerException

  Releases all the sessions held by this Consumer

  Throws:
    `PortletInvokerException`
  Since:
    2.6

### activate

    void activate()
                  throws java.lang.Exception

  Prepares this Consumer to be used: service is started, endpoints are ready.

  Throws:
    `java.lang.Exception`
  Since:
    2.6

### deactivate

    void deactivate()
                    throws java.lang.Exception

  Removes this Consumer from service. It cannot be used before being activated again.

  Throws:
    `java.lang.Exception`
  Since:
    2.6

### isActive

    boolean isActive()

  Returns:
  Since:
    2.6

### isRefreshNeeded

    boolean isRefreshNeeded()

  Returns:
  Since:
    2.6

### refresh

    RefreshResult refresh(boolean forceRefresh)
                          throws PortletInvokerException

  Parameters:
    `forceRefresh` -
  Returns:
  Throws:
    `PortletInvokerException`
  Since:
    2.6

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD